When mounting an iso file docky crashes

Reported by eZFlow on 2010-01-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Docky
Low
Chris S.

Bug Description

Only happens when having the mounter docklet enabled.

[Info 16:40:45.919] Docky version: bzr docky r1084
[Info 16:40:45.925] Kernel version: 2.6.31.17
[Info 16:40:45.926] CLR version: 2.0.50727.1433
[Warn 16:40:46.011] [GLib] g_set_prgname() called multiple times
[Info 16:40:46.163] [DockServices] Dock services initialized.
[Info 16:40:46.247] [DockController] Setting theme: Classic
[Info 16:40:46.475] [PluginManager] Loaded "Docky.Widgets,1.0".
[Info 16:40:46.475] [PluginManager] Loaded "Docky.Widgets,1.0".
[Info 16:40:46.476] [PluginManager] Loaded "Weather".
[Info 16:40:46.486] [PluginManager] Loaded "Clock".
[Info 16:40:46.489] [PluginManager] Loaded "GMail".
[Info 16:40:46.896] [AbstractWeatherSource] Weather Underground: Reloading weather data
[Info 16:40:46.907] [GMailAtom] Fetching Atom feed: https://mail.google.com/mail/feed/atom/Inbox
[Info 16:40:48.107] [Helper] Starting liferea_badge.py
[Info 16:40:48.144] [DrawingService] Could not find 'banshee', using fallback of 'extension'.
[Info 16:40:48.149] [DrawingService] Could not find 'tomboy', using fallback of 'extension'.
[Info 16:40:48.154] [DrawingService] Could not find 'gajim', using fallback of 'extension'.
[Info 16:40:48.165] [DrawingService] Could not find 'rhythmbox', using fallback of 'extension'.
[Info 16:40:48.186] [DrawingService] Could not find 'pidgin', using fallback of 'extension'.
[Info 16:41:52.145] [AbstractWeatherSource] Weather Underground: Reloading weather data
[Info 16:41:52.149] [AbstractWeatherSource] Weather Underground: Reloading weather data
Mounter state: True
[Info 16:42:01.271] [PluginManager] Loaded "Mounter".
Marshaling mount-added signal
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.NullReferenceException: Object reference not set to an instance of an object
  at Mounter.MountProvider.IsTrash (Mount m) [0x00000] in /build/buildd/docky-2.0~bzr1084/StandardPlugins/Mounter/src/MountProvider.cs:109
  at Mounter.MountProvider.HandleMountAdded (System.Object o, GLib.MountAddedArgs args) [0x00013] in /build/buildd/docky-2.0~bzr1084/StandardPlugins/Mounter/src/MountProvider.cs:83
  at (wrapper managed-to-native) System.Reflection.MonoMethod:InternalInvoke (object,object[],System.Exception&)
  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000]
  --- End of inner exception stack trace ---
  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000]
  at System.Reflection.MethodBase.Invoke (System.Object obj, System.Object[] parameters) [0x00000]
  at System.Delegate.DynamicInvokeImpl (System.Object[] args) [0x00000]
  at System.MulticastDelegate.DynamicInvokeImpl (System.Object[] args) [0x00000]
  at System.Delegate.DynamicInvoke (System.Object[] args) [0x00000]
  at GLib.Signal.ClosureInvokedCB (System.Object o, GLib.ClosureInvokedArgs args) [0x00000]
  at GLib.SignalClosure.Invoke (GLib.ClosureInvokedArgs args) [0x00000]
  at GLib.SignalClosure.MarshalCallback (IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data) [0x00000]
   at GLib.ExceptionManager.RaiseUnhandledException(System.Exception e, Boolean is_terminal)
   at GLib.SignalClosure.MarshalCallback(IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data)
   at Gtk.Application.gtk_main()
   at Gtk.Application.Run()
   at Docky.Docky.Main(System.String[] args) in /build/buildd/docky-2.0~bzr1084/Docky/Docky/Docky.cs:line 95
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose

eZFlow (breakdevize) on 2010-01-23
description: updated
Chris S. (cszikszoy) wrote :

I can't confirm this behavior. Mounting an iso doesn't crash docky for me at all. I see where it's crashing in the code, but have no idea why it would even crash there. Can you give me some info about the iso? I've got some other work to do on the mounter anyways, so I might fix this in the course of my other housekeeping soon. I'll update the bug report when I know.

Changed in docky:
assignee: nobody → Chris S. (cszikszoy)
importance: Undecided → Medium
importance: Medium → Low
status: New → Incomplete
Download full text (7.3 KiB)

Thats strange.. for me it happens with any iso file. You need any other
specific info because i have no clue what is causing it maybe something i
have (un)installed?
While i have your attention now i would like to mention something else as
well. When the cpu usage is pretty high (playing hd video etc.), docky isn't
smooth anymore when hovering over the icons. This gets even worse when
playing hd with vdpau output in smplayer, slows down the movie as well.
Would be great if some of the developers take a look at it.
Anyway thanks for the great work, docky is getting better n better :)

On Sat, Jan 23, 2010 at 7:58 PM, Chris S. <email address hidden> wrote:

> I can't confirm this behavior. Mounting an iso doesn't crash docky for
> me at all. I see where it's crashing in the code, but have no idea why
> it would even crash there. Can you give me some info about the iso?
> I've got some other work to do on the mounter anyways, so I might fix
> this in the course of my other housekeeping soon. I'll update the bug
> report when I know.
>
> ** Changed in: docky
> Assignee: (unassigned) => Chris S. (cszikszoy)
>
> ** Changed in: docky
> Importance: Undecided => Medium
>
> ** Changed in: docky
> Importance: Medium => Low
>
> ** Changed in: docky
> Status: New => Incomplete
>
> --
> When mounting an iso file docky crashes
> https://bugs.launchpad.net/bugs/511595
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Docky: Incomplete
>
> Bug description:
> Only happens when having the mounter docklet enabled.
>
> [Info 16:40:45.919] Docky version: bzr docky r1084
> [Info 16:40:45.925] Kernel version: 2.6.31.17
> [Info 16:40:45.926] CLR version: 2.0.50727.1433
> [Warn 16:40:46.011] [GLib] g_set_prgname() called multiple times
> [Info 16:40:46.163] [DockServices] Dock services initialized.
> [Info 16:40:46.247] [DockController] Setting theme: Classic
> [Info 16:40:46.475] [PluginManager] Loaded "Docky.Widgets,1.0".
> [Info 16:40:46.475] [PluginManager] Loaded "Docky.Widgets,1.0".
> [Info 16:40:46.476] [PluginManager] Loaded "Weather".
> [Info 16:40:46.486] [PluginManager] Loaded "Clock".
> [Info 16:40:46.489] [PluginManager] Loaded "GMail".
> [Info 16:40:46.896] [AbstractWeatherSource] Weather Underground: Reloading
> weather data
> [Info 16:40:46.907] [GMailAtom] Fetching Atom feed:
> https://mail.google.com/mail/feed/atom/Inbox
> [Info 16:40:48.107] [Helper] Starting liferea_badge.py
> [Info 16:40:48.144] [DrawingService] Could not find 'banshee', using
> fallback of 'extension'.
> [Info 16:40:48.149] [DrawingService] Could not find 'tomboy', using
> fallback of 'extension'.
> [Info 16:40:48.154] [DrawingService] Could not find 'gajim', using
> fallback of 'extension'.
> [Info 16:40:48.165] [DrawingService] Could not find 'rhythmbox', using
> fallback of 'extension'.
> [Info 16:40:48.186] [DrawingService] Could not find 'pidgin', using
> fallback of 'extension'.
> [Info 16:41:52.145] [AbstractWeatherSource] Weather Underground: Reloading
> weather data
> [Info 16:41:52.149] [AbstractWeatherSource] Weather Underground: Reloading
> weather data
> Mounter state: True
> [In...

Read more...

Robert Dyer (psybers) wrote :

I believe there was a duplicate bug that we didnt link to this one. But this bug was fixed.

Changed in docky:
status: Incomplete → Fix Committed
Robert Dyer (psybers) on 2010-11-17
Changed in docky:
milestone: none → 2.1.0
Changed in docky:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers